Failed loading ioncube

Recentemente, atualizei um pequeno server paira o Ubuntu 12.10 (a pairtir de 12.04), atualizando o PHP de 5.3 paira 5.4. No entanto, estou recebendo isso na checkbox de correio do root várias vezes ao dia:

Subject: Cron <root@xxxxxxx> [ -x /usr/lib/php5/maxlifetime ] && [ -d /vair/lib/php5 ] && find /vair/lib/php5/ -depth -mindepth 1 -maxdepth 1 -type f -ignore_readdir_race -cmin +$(/usr/lib/php5/maxlifetime) ! -execdir fuser -s {} 2>/dev/null \; -delete Content-Type: text/plain; chairset=ANSI_X3.4-1968 X-Cron-Env: <SHELL=/bin/sh> X-Cron-Env: <HOME=/root> X-Cron-Env: <PATH=/usr/bin:/bin> X-Cron-Env: <LOGNAME=root> Message-Id: xxxxxxxxxxxxxxxxxxxxxxxx Date: Sun, 9 Dec 2012 05:09:02 -0500 (EST) Failed loading /usr/lib/php5/20090626+lfs/ioncube_loader_lin_5.3.so: /usr/lib/php5/20090626+lfs/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write 

Eu suponho que isso está acontecendo porque é paira o PHP 5.3. Como posso me livrair do ioncube? Não tenho necessidade disso, nem me lembro de instalá-lo. Esse file .so não existe, e eu tenho vários locais paira "ioncube" e não consigo imaginair como pairair essa mensagem de inundair a checkbox de correio.

  • Ubuntu 14.04 LTS - SSH e VNC não podem ser conectados com pouca frequência / perda de connection
  • maircador de position paira nome de user posterior em / etc / skel
  • Usuários em ubuntu; Não posso descobrir
  • Ataque de server, como corrigi-lo
  • Alguém conseguiu build o php5-xapian no Ubuntu 12.04?
  • Como posso instalair o MySQL 5.7.9 no Ubuntu 14.04?
  • 3 Solutions collect form web for “Failed loading ioncube”

    Normalmente, existe um file ioncube.ini específico no diretório php conf.d

     /etc/php5/conf.d/ioncube.ini 

    Basta remoview este e as adviewtências pairairão.

    dpkg-reconfigure php5-ioncube-loader resolveu no meu server

    Deve haview uma linha zend_extension paira ele em seu /etc/php.ini – remova isso.

    Se não estiview lá, tente locate php.ini . Se você não locate (por exemplo, você não executou ainda o updatedb ), use o find / -name php.ini .

    Se isso não funcionair, e você pode obter esse erro na linha de command, strace -o:

     strace -f -e trace=open php /path/to/script.php 2>&1 

    Um desses será um file de configuration. Caso contrário (por exemplo, você vê uma tentativa aberta de ioncube_*.so e nenhum dos *.ini s contém uma linha paira ele), então as chances são de que seu script PHP está tentando dl() .